/* c/sciwbs.h
   Generated by wsdl2h 1.2.17 from sciwbs.wsdl and typemap.dat
   2010-07-13 07:00:27 GMT

   DO NOT INCLUDE THIS FILE DIRECTLY INTO YOUR PROJECT BUILDS
   USE THE soapcpp2-GENERATED SOURCE CODE FILES FOR YOUR PROJECT BUILDS

   gSOAP XML Web services tools.
   Copyright (C) 2001-2010 Robert van Engelen, Genivia Inc. All Rights Reserved.
   Part of this software is released under one of the following licenses:
   GPL or Genivia's license for commercial use.
*/

/** @page page_notes Usage Notes

NOTE:

 - Run soapcpp2 on c/sciwbs.h to generate the SOAP/XML processing logic.
   Use soapcpp2 option -I to specify paths for #import
   To build with STL, 'stlvector.h' is imported from 'import' dir in package.
   Use soapcpp2 option -i to generate improved proxy and server classes.
 - Use wsdl2h options -c and -s to generate pure C code or C++ code without STL.
 - Use 'typemap.dat' to control namespace bindings and type mappings.
   It is strongly recommended to customize the names of the namespace prefixes
   generated by wsdl2h. To do so, modify the prefix bindings in the Namespaces
   section below and add the modified lines to 'typemap.dat' to rerun wsdl2h.
 - Use Doxygen (www.doxygen.org) on this file to generate documentation.
 - Use wsdl2h options -nname and -Nname to globally rename the prefix 'ns'.
 - Use wsdl2h option -d to enable DOM support for xsd:anyType.
 - Use wsdl2h option -g to auto-generate readers and writers for root elements.
 - Struct/class members serialized as XML attributes are annotated with a '@'.
 - Struct/class members that have a special role are annotated with a '$'.

WARNING:

   DO NOT INCLUDE THIS FILE DIRECTLY INTO YOUR PROJECT BUILDS.
   USE THE SOURCE CODE FILES GENERATED BY soapcpp2 FOR YOUR PROJECT BUILDS:
   THE soapStub.h FILE CONTAINS THIS CONTENT WITHOUT ANNOTATIONS.

LICENSE:

@verbatim
--------------------------------------------------------------------------------
gSOAP XML Web services tools
Copyright (C) 2000-2010, Robert van Engelen, Genivia Inc. All Rights Reserved.

This software is released under one of the following two licenses:
1) GPL or 2) Genivia's license for commercial use.
--------------------------------------------------------------------------------
1) GPL license.

This program is free software; you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation; either version 2 of the License, or (at your option) any later
version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
this program; if not, write to the Free Software Foundation, Inc., 59 Temple
Place, Suite 330, Boston, MA 02111-1307 USA

Author contact information:
engelen@genivia.com / engelen@acm.org
--------------------------------------------------------------------------------
2) A commercial-use license is available from Genivia, Inc., contact@genivia.com
--------------------------------------------------------------------------------
@endverbatim

*/


//gsoapopt cw

/******************************************************************************\
 *                                                                            *
 * Definitions                                                                *
 *   http://www.scilab.org/sciwbs                                             *
 *                                                                            *
\******************************************************************************/


/******************************************************************************\
 *                                                                            *
 * Import                                                                     *
 *                                                                            *
\******************************************************************************/


/******************************************************************************\
 *                                                                            *
 * Schema Namespaces                                                          *
 *                                                                            *
\******************************************************************************/


/* NOTE:

It is strongly recommended to customize the names of the namespace prefixes
generated by wsdl2h. To do so, modify the prefix bindings below and add the
modified lines to typemap.dat to rerun wsdl2h:

ns1 = "http://www.scilab.org/sciwbs"

*/

#define SOAP_NAMESPACE_OF_ns1	"http://www.scilab.org/sciwbs"
//gsoap ns1   schema namespace:	http://www.scilab.org/sciwbs
//gsoap ns1   schema form:	unqualified

/******************************************************************************\
 *                                                                            *
 * Built-in Schema Types and Top-Level Elements and Attributes                *
 *                                                                            *
\******************************************************************************/


/******************************************************************************\
 *                                                                            *
 * Schema Types and Top-Level Elements and Attributes                         *
 *   http://www.scilab.org/sciwbs                                             *
 *                                                                            *
\******************************************************************************/


/******************************************************************************\
 *                                                                            *
 * Schema Complex Types and Top-Level Elements                                *
 *   http://www.scilab.org/sciwbs                                             *
 *                                                                            *
\******************************************************************************/


/// "http://www.scilab.org/sciwbs":MatrixOfDouble is a complexType.
struct ns1__MatrixOfDouble
{
/// Size of array of struct ns1__DoubleElement* is 0..unbounded
   $int                                  __sizeelement                  0;
/// Array struct ns1__DoubleElement* of length 0..unbounded
    struct ns1__DoubleElement*           element                        0;
/// Attribute rows of type xs:nonNegativeInteger.
   @int              rows                           1;	///< Required attribute.
/// Attribute columns of type xs:nonNegativeInteger.
   @int              columns                        1;	///< Required attribute.
};

/// "http://www.scilab.org/sciwbs":StringList is a complexType.
struct ns1__StringList
{
/// Size of array of char** is 0..unbound
   $int                                  __sizestring                   0;
/// Array char** of length 0..unbound
    char**                               string                         0;
};

/// "http://www.scilab.org/sciwbs":DoubleElement is a complexType with simpleContent.
struct ns1__DoubleElement
{
/// value wraps 'xs:double' simpleContent.
    double                               value                        ;
/// Attribute row of type xs:positiveInteger.
   @int                 row                            1;	///< Required attribute.
/// Attribute column of type xs:positiveInteger.
   @int                 column                         1;	///< Required attribute.
};

/******************************************************************************\
 *                                                                            *
 * Additional Top-Level Elements                                              *
 *   http://www.scilab.org/sciwbs                                             *
 *                                                                            *
\******************************************************************************/


/******************************************************************************\
 *                                                                            *
 * Additional Top-Level Attributes                                            *
 *   http://www.scilab.org/sciwbs                                             *
 *                                                                            *
\******************************************************************************/


/******************************************************************************\
 *                                                                            *
 * Services                                                                   *
 *                                                                            *
\******************************************************************************/


//gsoap ns1  service name:	SciwbsBinding 
//gsoap ns1  service type:	SciwbsPortType 
//gsoap ns1  service port:	http://93.84.239.10:5050 
//gsoap ns1  service namespace:	http://www.scilab.org/sciwbs 
//gsoap ns1  service transport:	http://schemas.xmlsoap.org/soap/http 

/** @mainpage ScilabWebServices Definitions

@section ScilabWebServices_bindings Service Bindings

  - @ref SciwbsBinding

@section ScilabWebServices_more More Information

  - @ref page_notes "Usage Notes"

  - @ref page_XMLDataBinding "XML Data Binding"

  - @ref SOAP_ENV__Header "SOAP Header Content" (when applicable)

  - @ref SOAP_ENV__Detail "SOAP Fault Detail Content" (when applicable)


*/

/**

@page SciwbsBinding Binding "SciwbsBinding"

@section SciWebService_service Service Documentation "SciWebService"
Service executes commands with Scilab

@section SciwbsBinding_operations Operations of Binding  "SciwbsBinding"

  - @ref ns1__add

  - @ref ns1__listFunctions

@section SciwbsBinding_ports Endpoints of Binding  "SciwbsBinding"

  - http://93.84.239.10:5050

Note: use wsdl2h option -N to change the service binding prefix name

*/

/******************************************************************************\
 *                                                                            *
 * Service Binding                                                            *
 *   SciwbsBinding                                                            *
 *                                                                            *
\******************************************************************************/


/******************************************************************************\
 *                                                                            *
 * Service Operation                                                          *
 *   ns1__add                                                                 *
 *                                                                            *
\******************************************************************************/

/// Operation response struct "ns1__addResponse" of service binding "SciwbsBinding" operation "ns1__add"
struct ns1__addResponse
{
    struct ns1__MatrixOfDouble*         result;
};

/// Operation "ns1__add" of service binding "SciwbsBinding"

/**

Operation details:

Performs addition

  - SOAP RPC encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"

C stub function (defined in soapClient.c[pp] generated by soapcpp2):
@code
  int soap_call_ns1__add(
    struct soap *soap,
    NULL, // char *endpoint = NULL selects default endpoint for this operation
    NULL, // char *action = NULL selects default action for this operation
    // request parameters:
    struct ns1__MatrixOfDouble*         a,
    struct ns1__MatrixOfDouble*         b,
    // response parameters:
    struct ns1__addResponse*
  );
@endcode

C server function (called from the service dispatcher defined in soapServer.c[pp]):
@code
  int ns1__add(
    struct soap *soap,
    // request parameters:
    struct ns1__MatrixOfDouble*         a,
    struct ns1__MatrixOfDouble*         b,
    // response parameters:
    struct ns1__addResponse*
  );
@endcode

*/

//gsoap ns1  service method-style:	add rpc
//gsoap ns1  service method-encoding:	add http://schemas.xmlsoap.org/soap/encoding/
//gsoap ns1  service method-action:	add ""
int ns1__add(
    struct ns1__MatrixOfDouble*         a,	///< Request parameter
    struct ns1__MatrixOfDouble*         b,	///< Request parameter
    struct ns1__addResponse            *	///< Response struct parameter
);

/******************************************************************************\
 *                                                                            *
 * Service Operation                                                          *
 *   ns1__listFunctions                                                       *
 *                                                                            *
\******************************************************************************/

/// Operation response struct "ns1__listFunctionsResponse" of service binding "SciwbsBinding" operation "ns1__listFunctions"
struct ns1__listFunctionsResponse
{
    struct ns1__StringList*             result;
};

/// Operation "ns1__listFunctions" of service binding "SciwbsBinding"

/**

Operation details:


  - SOAP RPC encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"

C stub function (defined in soapClient.c[pp] generated by soapcpp2):
@code
  int soap_call_ns1__listFunctions(
    struct soap *soap,
    NULL, // char *endpoint = NULL selects default endpoint for this operation
    NULL, // char *action = NULL selects default action for this operation
    // request parameters:
    int                                 value,
    // response parameters:
    struct ns1__listFunctionsResponse*
  );
@endcode

C server function (called from the service dispatcher defined in soapServer.c[pp]):
@code
  int ns1__listFunctions(
    struct soap *soap,
    // response parameters:
    struct ns1__listFunctionsResponse*
  );
@endcode

*/

//gsoap ns1  service method-style:	listFunctions rpc
//gsoap ns1  service method-encoding:	listFunctions http://schemas.xmlsoap.org/soap/encoding/
//gsoap ns1  service method-action:	listFunctions ""
int ns1__listFunctions(
    struct ns1__listFunctionsResponse  *	///< Response struct parameter
);

/******************************************************************************\
 *                                                                            *
 * XML Data Binding                                                           *
 *                                                                            *
\******************************************************************************/


/**

@page page_XMLDataBinding XML Data Binding

SOAP/XML services use data bindings contractually bound by WSDL and auto-
generated by wsdl2h and soapcpp2 (see Service Bindings). Plain data bindings
are adopted from XML schemas as part of the WSDL types section or when running
wsdl2h on a set of schemas to produce non-SOAP-based XML data bindings.

The following readers and writers are C/C++ data type (de)serializers auto-
generated by wsdl2h and soapcpp2. Run soapcpp2 on this file to generate the
(de)serialization code, which is stored in soapC.c[pp]. Include "soapH.h" in
your code to import these data type and function declarations. Only use the
soapcpp2-generated files in your project build. Do not include the wsdl2h-
generated .h file in your code.

XML content can be retrieved from:
  - a file descriptor, using soap->recvfd = fd
  - a socket, using soap->socket = ...
  - a C++ stream, using soap->is = ...
  - a buffer, using the soap->frecv() callback

XML content can be stored to:
  - a file descriptor, using soap->sendfd = fd
  - a socket, using soap->socket = ...
  - a C++ stream, using soap->os = ...
  - a buffer, using the soap->fsend() callback


@section ns1 Top-level root elements of schema "http://www.scilab.org/sciwbs"

*/

/* End of c/sciwbs.h */
